<%
   prefix = (defined?(componentIndex)) ? "component_#{componentIndex}_" : ''
   objid = @document['id']
   cmpid = (defined?(componentIndex)) ? "#{componentIndex}" : '0'
   fieldData = @document["#{prefix}files_tesim"]
   wowzaURL = grabWowzaURL(fieldData,objid,cmpid)
   embed_url = "#{root_url}embed/#{objid}/#{cmpid}"
   file_type = grabFileType(grabFileUse)
%>

<% if wowzaURL != nil %>

  <video controls="controls" id="dams-video">Loading the player...</video>

  <script type="text/javascript">
	  jwplayer("dams-video").setup({
		  playlist:
				  [{
					  sources:
							  [
								  {file: "https://<%=wowzaURL%>/playlist.m3u8"},
								  {file: "https://<%=wowzaURL%>/manifest.mpd"}
							  ],
					  "image": "<%=icon%>"
				  }],
		  width: "100%",
		  aspectratio: "16:9",
		  rtmp: {bufferlength: 3},
		  analytics: {enabled: false}
	  });
  </script>

<% end %>
<%= render :partial => 'admin_download', :locals => {:cmpID => cmpid, :embedURL => embed_url, :downloadFilePath => downloadFilePath, :downloadDerivativePath => downloadDerivativePath, :wowzaURL => wowzaURL, :format => file_type, :publicSourceDownload => publicSourceDownload } %>
